"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.generateSiteProps = (option) => {
    return {
        title: option.global.title || "",
        description: option.global.description || "",
        url: {
            relativePath: option.serverBasePath || "",
            absolutePath: "",
        },
    };
};
exports.generateArticleProps = (page) => {
    return {
        title: page.metaData.title || "",
        description: page.metaData.description || "",
        url: {
            relativePath: page.uri,
            absolutePath: "",
        },
    };
};
