/// <reference types="@rocu" />
import { Options } from "@rocu/cli";
import * as meow from "meow";
export declare const flags: meow.Options["flags"];
export interface InputFlags {
    outDir?: string;
    dev?: boolean;
    open?: boolean;
    port?: string;
    basePath?: string;
    layout?: string;
}
export declare const getServerBasePath: (text: string | undefined) => string;
export declare const parser: (cli: meow.Result) => Options;
