/// <reference types="node" />
/// <reference types="@rocu" />
import * as http from "http";
import { DevelopOption } from "@rocu/cli";
export declare const redirectToLocalFile: (filePath: string, res: http.ServerResponse) => boolean;
export declare const getRedirectPagePath: (pathname: string, option: DevelopOption) => string;
export declare const getRedirectLocalDirectoryPath: (dirname: string, pathname: string, option: DevelopOption) => string;
declare const start: (dirname: string, option: DevelopOption) => Promise<http.Server>;
export { start as server };
