"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const React = require("react");
const helpers_1 = require("./helpers");
exports.generateAnchorElement = (page, option) => (props) => {
    const href = props.href ? helpers_1.rewriteUrl(props.href, page, option) : "";
    const rewriteProps = { ...props, href };
    return React.createElement("a", Object.assign({}, rewriteProps));
};
